Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(333)

Issue 1309423004: Introduce WebTaskRunner Patch 4/5 (Closed)

Created:
4 years ago by alex clarke (OOO till 29th)
Modified:
4 years ago
Reviewers:
Sami, sky
CC:
chromium-reviews, scheduler-bugs_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Introduce WebTaskRunner Patch 4/5 Remove chromium side support for obsolete WebScheduler and WebThread APIs. Also migrate WebTestDelegateImpl over to the new API. Patch 1: https://codereview.chromium.org/1325073002 Patch 2: https://codereview.chromium.org/1308183005 Patch 3: https://codereview.chromium.org/1303153005 Patch 5: https://codereview.chromium.org/1310253009 BUG=510398, 497761 Committed: https://crrev.com/11000b9931b4d90baa86251d9362dbc8ed40226e Cr-Commit-Position: refs/heads/master@{#347381}

Patch Set 1 #

Patch Set 2 : Remove forward declare #

Patch Set 3 : Rebase #

Patch Set 4 : Need to migrate WebTestDelegateImpl too. #

Patch Set 5 : Need to migrate WebTestDelegateImpl too. #

Patch Set 6 : Add a #include #

Patch Set 7 : Try and fix compile #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -129 lines) Patch
M components/html_viewer/web_test_delegate_impl.cc View 1 2 3 4 5 6 3 chunks +4 lines, -3 lines 0 comments Download
M components/scheduler/child/web_scheduler_impl.h View 4 1 chunk +0 lines, -17 lines 0 comments Download
M components/scheduler/child/web_scheduler_impl.cc View 4 4 chunks +0 lines, -59 lines 0 comments Download
M components/scheduler/child/webthread_base.h View 1 2 chunks +0 lines, -5 lines 0 comments Download
M components/scheduler/child/webthread_base.cc View 2 chunks +0 lines, -45 lines 0 comments Download

Messages

Total messages: 21 (10 generated)
alex clarke (OOO till 29th)
PTAL :)
4 years ago (2015-09-02 13:53:01 UTC) #2
Sami
lgtm.
4 years ago (2015-09-02 14:56:53 UTC) #3
alex clarke (OOO till 29th)
sky@chromium.org: Please review changes in WebTestDelegateImpl
4 years ago (2015-09-03 13:07:42 UTC) #5
sky
LGTM
4 years ago (2015-09-03 17:55:23 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1309423004/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1309423004/80001
4 years ago (2015-09-03 18:44:59 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/50633)
4 years ago (2015-09-03 19:06:09 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1309423004/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1309423004/80001
4 years ago (2015-09-04 09:01:36 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1309423004/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1309423004/100001
4 years ago (2015-09-04 09:40:15 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1309423004/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1309423004/120001
4 years ago (2015-09-04 10:04:56 UTC) #19
commit-bot: I haz the power
Committed patchset #7 (id:120001)
4 years ago (2015-09-04 11:34:09 UTC) #20
commit-bot: I haz the power
4 years ago (2015-09-04 11:35:01 UTC) #21
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/11000b9931b4d90baa86251d9362dbc8ed40226e
Cr-Commit-Position: refs/heads/master@{#347381}

Powered by Google App Engine
This is Rietveld 408576698